Summary: A simple way to process namespaced XML names
Name: perl-XML-NamespaceSupport
Requires: perl
Packager: Horms <horms@verge.net.au>
Version: 1.08
Release: 1.rh.el.um.1
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.cpan.org/modules/by-module/XML/XML-NamespaceSupport-%{version}.tar.gz
URL: http://www.cpan.org/modules/by-module/XML/XML-NamespaceSupport-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
BuildPreReq: perl
Requires: perl
BuildArch: noarch

%description 
This module offers a simple way to process namespaced XML names
(unames) from within any application that may need them. It
also helps maintain a prefix to namespace URI map, and provides
a number of basic checks.

%prep
%setup -n XML-NamespaceSupport-%version

%build
eval `perl -V:prefix`
echo n | perl Makefile.PL -- CCFLAGS="${RPM_OPT_FLAGS}" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make

%install
# These eval statements used to be one line, but
# that doesn't appear to work on Red Hat 9
eval `perl -V:installsitelib`
eval `perl -V:installsitearch`
eval `perl -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -rf "$RPM_BUILD_ROOT/${installsitearch}/"
echo "${installsitelib}/XML/" > filelist
echo "${man3dir}/*" >> filelist

%clean
rm -rf "$RPM_BUILD_DIR/XML-NamespaceSupport-%{version}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README

%changelog
* Tue Mar 18 2003 Horms <horms@verge.net.au>
- Created for 1.08

